# HG changeset patch
# User Pantxo Diribarne <pantxo.diribarne@gmail.com>
# Date 1617134924 -7200
#      Tue Mar 30 22:08:44 2021 +0200
# Node ID fade650e869d9a9570278aae69de3e5a7270e982
# Parent  11a8c8e0ad14b6843e5d19b1897979b013e5aafd
[mq]: doc_single_page

diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/arith.txi
--- a/doc/interpreter/arith.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/arith.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -47,33 +47,34 @@
 @node Exponents and Logarithms
 @section Exponents and Logarithms
 
-@DOCSTRING(exp)
+@ref{XREFexp, , @code{exp}}: Compute 'e^x' for each element of X.
 
-@DOCSTRING(expm1)
+@ref{XREFexpm1, , @code{expm1}}: Compute 'exp (X) - 1' accurately in the neighborhood of zero.
 
-@DOCSTRING(log)
+@ref{XREFlog, , @code{log}}: Compute the natural logarithm, 'ln (X)', for each element of X.
 
-@DOCSTRING(reallog)
+@ref{XREFreallog, , @code{reallog}}: Return the real-valued natural logarithm of each element of X.
 
-@DOCSTRING(log1p)
+@ref{XREFlog1p, , @code{log1p}}: Compute 'log (1 + X)' accurately in the neighborhood of zero.
 
-@DOCSTRING(log10)
+@ref{XREFlog10, , @code{log10}}: Compute the base-10 logarithm of each element of X.
 
-@DOCSTRING(log2)
+@ref{XREFlog2, , @code{log2}}: Compute the base-2 logarithm of each element of X.
 
-@DOCSTRING(pow2)
+@ref{XREFpow2, , @code{pow2}}: With one input argument, compute 2 .^ x for each element of X.
 
-@DOCSTRING(nextpow2)
+@ref{XREFnextpow2, , @code{nextpow2}}: Compute the exponent for the smallest power of two larger than the
+input.
 
-@DOCSTRING(realpow)
+@ref{XREFrealpow, , @code{realpow}}: Compute the real-valued, element-by-element power operator.
 
-@DOCSTRING(sqrt)
+@ref{XREFsqrt, , @code{sqrt}}: Compute the square root of each element of X.
 
-@DOCSTRING(realsqrt)
+@ref{XREFrealsqrt, , @code{realsqrt}}: Return the real-valued square root of each element of X.
 
-@DOCSTRING(cbrt)
+@ref{XREFcbrt, , @code{cbrt}}: Compute the real cube root of each element of X.
 
-@DOCSTRING(nthroot)
+@ref{XREFnthroot, , @code{nthroot}}: Compute the real (non-complex) N-th root of X.
 
 @node Complex Arithmetic
 @section Complex Arithmetic
@@ -88,17 +89,18 @@
 defined as @code{sqrt (-1)}.
 @end ifnottex
 
-@DOCSTRING(abs)
+@ref{XREFabs, , @code{abs}}: Compute the magnitude of Z.
 
-@DOCSTRING(arg)
+@ref{XREFarg, , @code{arg}}: Compute the argument, i.e., angle of Z.
 
-@DOCSTRING(conj)
+@ref{XREFconj, , @code{conj}}: Return the complex conjugate of Z.
 
-@DOCSTRING(cplxpair)
+@ref{XREFcplxpair, , @code{cplxpair}}: Sort the numbers Z into complex conjugate pairs ordered by increasing
+real pa...
 
-@DOCSTRING(imag)
+@ref{XREFimag, , @code{imag}}: Return the imaginary part of Z as a real number.
 
-@DOCSTRING(real)
+@ref{XREFreal, , @code{real}}: Return the real part of Z.
 
 @node Trigonometry
 @section Trigonometry
@@ -136,38 +138,38 @@
 It should be noted that @sc{matlab} uses different definitions which apparently
 do not distinguish -0.
 
-@DOCSTRING(deg2rad)
-@DOCSTRING(rad2deg)
+@ref{XREFdeg2rad, , @code{deg2rad}}: Convert degrees to radians.
+@ref{XREFrad2deg, , @code{rad2deg}}: Convert radians to degrees.
 
-@DOCSTRING(sin)
-@DOCSTRING(cos)
-@DOCSTRING(tan)
-@DOCSTRING(sec)
-@DOCSTRING(csc)
-@DOCSTRING(cot)
+@ref{XREFsin, , @code{sin}}: Compute the sine for each element of X in radians.
+@ref{XREFcos, , @code{cos}}: Compute the cosine for each element of X in radians.
+@ref{XREFtan, , @code{tan}}: Compute the tangent for each element of X in radians.
+@ref{XREFsec, , @code{sec}}: Compute the secant for each element of X in radians.
+@ref{XREFcsc, , @code{csc}}: Compute the cosecant for each element of X in radians.
+@ref{XREFcot, , @code{cot}}: Compute the cotangent for each element of X in radians.
 
-@DOCSTRING(asin)
-@DOCSTRING(acos)
-@DOCSTRING(atan)
-@DOCSTRING(asec)
-@DOCSTRING(acsc)
-@DOCSTRING(acot)
+@ref{XREFasin, , @code{asin}}: Compute the inverse sine in radians for each element of X.
+@ref{XREFacos, , @code{acos}}: Compute the inverse cosine in radians for each element of X.
+@ref{XREFatan, , @code{atan}}: Compute the inverse tangent in radians for each element of X.
+@ref{XREFasec, , @code{asec}}: Compute the inverse secant in radians for each element of X.
+@ref{XREFacsc, , @code{acsc}}: Compute the inverse cosecant in radians for each element of X.
+@ref{XREFacot, , @code{acot}}: Compute the inverse cotangent in radians for each element of X.
 
-@DOCSTRING(sinh)
-@DOCSTRING(cosh)
-@DOCSTRING(tanh)
-@DOCSTRING(sech)
-@DOCSTRING(csch)
-@DOCSTRING(coth)
+@ref{XREFsinh, , @code{sinh}}: Compute the hyperbolic sine for each element of X.
+@ref{XREFcosh, , @code{cosh}}: Compute the hyperbolic cosine for each element of X.
+@ref{XREFtanh, , @code{tanh}}: Compute hyperbolic tangent for each element of X.
+@ref{XREFsech, , @code{sech}}: Compute the hyperbolic secant of each element of X.
+@ref{XREFcsch, , @code{csch}}: Compute the hyperbolic cosecant of each element of X.
+@ref{XREFcoth, , @code{coth}}: Compute the hyperbolic cotangent of each element of X.
 
-@DOCSTRING(asinh)
-@DOCSTRING(acosh)
-@DOCSTRING(atanh)
-@DOCSTRING(asech)
-@DOCSTRING(acsch)
-@DOCSTRING(acoth)
+@ref{XREFasinh, , @code{asinh}}: Compute the inverse hyperbolic sine for each element of X.
+@ref{XREFacosh, , @code{acosh}}: Compute the inverse hyperbolic cosine for each element of X.
+@ref{XREFatanh, , @code{atanh}}: Compute the inverse hyperbolic tangent for each element of X.
+@ref{XREFasech, , @code{asech}}: Compute the inverse hyperbolic secant of each element of X.
+@ref{XREFacsch, , @code{acsch}}: Compute the inverse hyperbolic cosecant of each element of X.
+@ref{XREFacoth, , @code{acoth}}: Compute the inverse hyperbolic cotangent of each element of X.
 
-@DOCSTRING(atan2)
+@ref{XREFatan2, , @code{atan2}}: Compute atan (Y / X) for corresponding elements of Y and X.
 
 Octave provides the following trigonometric functions where angles are
 specified in degrees.  These functions produce true zeros at the appropriate
@@ -183,194 +185,214 @@
 @end group
 @end example
 
-@DOCSTRING(sind)
-@DOCSTRING(cosd)
-@DOCSTRING(tand)
-@DOCSTRING(secd)
-@DOCSTRING(cscd)
-@DOCSTRING(cotd)
+@ref{XREFsind, , @code{sind}}: Compute the sine for each element of X in degrees.
+@ref{XREFcosd, , @code{cosd}}: Compute the cosine for each element of X in degrees.
+@ref{XREFtand, , @code{tand}}: Compute the tangent for each element of X in degrees.
+@ref{XREFsecd, , @code{secd}}: Compute the secant for each element of X in degrees.
+@ref{XREFcscd, , @code{cscd}}: Compute the cosecant for each element of X in degrees.
+@ref{XREFcotd, , @code{cotd}}: Compute the cotangent for each element of X in degrees.
 
-@DOCSTRING(asind)
-@DOCSTRING(acosd)
-@DOCSTRING(atand)
-@DOCSTRING(atan2d)
-@DOCSTRING(asecd)
-@DOCSTRING(acscd)
-@DOCSTRING(acotd)
+@ref{XREFasind, , @code{asind}}: Compute the inverse sine in degrees for each element of X.
+@ref{XREFacosd, , @code{acosd}}: Compute the inverse cosine in degrees for each element of X.
+@ref{XREFatand, , @code{atand}}: Compute the inverse tangent in degrees for each element of X.
+@ref{XREFatan2d, , @code{atan2d}}: Compute atan (Y / X) in degrees for corresponding elements from Y and X.
+@ref{XREFasecd, , @code{asecd}}: Compute the inverse secant in degrees for each element of X.
+@ref{XREFacscd, , @code{acscd}}: Compute the inverse cosecant in degrees for each element of X.
+@ref{XREFacotd, , @code{acotd}}: Compute the inverse cotangent in degrees for each element of X.
 
 Finally, there are two trigonometric functions that calculate special
 arguments with increased accuracy.
 
-@DOCSTRING(sinpi)
-@DOCSTRING(cospi)
+@ref{XREFsinpi, , @code{sinpi}}: Compute sine (X * pi) for each element of X accurately.
+@ref{XREFcospi, , @code{cospi}}: Compute cosine (X * pi) for each element of X accurately.
 
 @node Sums and Products
 @section Sums and Products
 
-@DOCSTRING(sum)
+@ref{XREFsum, , @code{sum}}: Sum of elements along dimension DIM.
 
-@DOCSTRING(prod)
+@ref{XREFprod, , @code{prod}}: Product of elements along dimension DIM.
 
-@DOCSTRING(cumsum)
+@ref{XREFcumsum, , @code{cumsum}}: Cumulative sum of elements along dimension DIM.
 
-@DOCSTRING(cumprod)
+@ref{XREFcumprod, , @code{cumprod}}: Cumulative product of elements along dimension DIM.
 
-@DOCSTRING(sumsq)
+@ref{XREFsumsq, , @code{sumsq}}: Sum of squares of elements along dimension DIM.
 
 @node Utility Functions
 @section Utility Functions
 
-@DOCSTRING(ceil)
+@ref{XREFceil, , @code{ceil}}: Return the smallest integer not less than X.
 
-@DOCSTRING(fix)
+@ref{XREFfix, , @code{fix}}: Truncate fractional portion of X and return the integer portion.
 
-@DOCSTRING(floor)
+@ref{XREFfloor, , @code{floor}}: Return the largest integer not greater than X.
 
-@DOCSTRING(round)
+@ref{XREFround, , @code{round}}: Return the integer nearest to X.
 
-@DOCSTRING(roundb)
+@ref{XREFroundb, , @code{roundb}}: Return the integer nearest to X.
 
-@DOCSTRING(max)
+@ref{XREFmax, , @code{max}}: Find maximum values in the array X.
 
-@DOCSTRING(min)
+@ref{XREFmin, , @code{min}}: Find minimum values in the array X.
 
-@DOCSTRING(cummax)
+@ref{XREFcummax, , @code{cummax}}: Return the cumulative maximum values along dimension DIM.
 
-@DOCSTRING(cummin)
+@ref{XREFcummin, , @code{cummin}}: Return the cumulative minimum values along dimension DIM.
 
-@DOCSTRING(hypot)
-
-@DOCSTRING(gradient)
+@ref{XREFhypot, , @code{hypot}}: Compute the element-by-element square root of the sum of the squares of
+X and...
 
-@DOCSTRING(dot)
+@ref{XREFgradient, , @code{gradient}}: Calculate the gradient of sampled data or a function.
 
-@DOCSTRING(cross)
+@ref{XREFdot, , @code{dot}}: Compute the dot product of two vectors.
+
+@ref{XREFcross, , @code{cross}}: Compute the vector cross product of two 3-dimensional vectors X and Y.
 
-@DOCSTRING(divergence)
+@ref{XREFdivergence, , @code{divergence}}: Calculate divergence of a vector field given by the arrays FX, FY, and
+FZ or ...
 
-@DOCSTRING(curl)
-
-@DOCSTRING(del2)
+@ref{XREFcurl, , @code{curl}}: Calculate curl of vector field given by the arrays FX, FY, and FZ or FX,
+FY r...
 
-@DOCSTRING(factorial)
+@ref{XREFdel2, , @code{del2}}: Calculate the discrete Laplace operator.
+
+@ref{XREFfactorial, , @code{factorial}}: Return the factorial of N where N is a real non-negative integer.
 
-@DOCSTRING(factor)
+@ref{XREFfactor, , @code{factor}}: Return the prime factorization of Q.
 
-@DOCSTRING(gcd)
+@ref{XREFgcd, , @code{gcd}}: Compute the greatest common divisor of A1, A2, ....
 
-@DOCSTRING(lcm)
+@ref{XREFlcm, , @code{lcm}}: Compute the least common multiple of X and Y, or of the list of all
+arguments.
 
-@DOCSTRING(rem)
+@ref{XREFrem, , @code{rem}}: Return the remainder of the division 'X / Y'.
 
-@DOCSTRING(mod)
+@ref{XREFmod, , @code{mod}}: Compute the modulo of X and Y.
 
-@DOCSTRING(primes)
+@ref{XREFprimes, , @code{primes}}: Return all primes up to N.
 
-@DOCSTRING(list_primes)
+@ref{XREFlist_primes, , @code{list_primes}}: List the first N primes.
 
-@DOCSTRING(sign)
+@ref{XREFsign, , @code{sign}}: Compute the "signum" function.
 
-@DOCSTRING(signbit)
+@ref{XREFsignbit, , @code{signbit}}: Return logical true if the value of X has its sign bit set and false
+otherwise.
 
 @node Special Functions
 @section Special Functions
 
-@DOCSTRING(airy)
+@ref{XREFairy, , @code{airy}}: Compute Airy functions of the first and second kind, and their
+derivatives.
 
-@DOCSTRING(besselj)
-
-@DOCSTRING(bessely)
+@ref{XREFbesselj, , @code{besselj}}: Compute Bessel functions of the first kind.
 
-@DOCSTRING(besseli)
+@ref{XREFbessely, , @code{bessely}}: Compute Bessel functions of the second kind.
 
-@DOCSTRING(besselk)
+@ref{XREFbesseli, , @code{besseli}}: Compute modified Bessel functions of the first kind.
 
-@DOCSTRING(besselh)
+@ref{XREFbesselk, , @code{besselk}}: Compute modified Bessel functions of the second kind.
 
-@DOCSTRING(beta)
+@ref{XREFbesselh, , @code{besselh}}: Compute Bessel functions of the third kind (Hankel functions).
 
-@DOCSTRING(betainc)
+@ref{XREFbeta, , @code{beta}}: Compute the Beta function for real inputs A and B.
 
-@DOCSTRING(betaincinv)
+@ref{XREFbetainc, , @code{betainc}}: Compute the incomplete beta function.
 
-@DOCSTRING(betaln)
+@ref{XREFbetaincinv, , @code{betaincinv}}: Compute the inverse of the normalized incomplete beta function.
 
-@DOCSTRING(bincoeff)
+@ref{XREFbetaln, , @code{betaln}}: Compute the natural logarithm of the Beta function for real inputs A and
+B.
 
-@DOCSTRING(commutation_matrix)
+@ref{XREFbincoeff, , @code{bincoeff}}: Return the binomial coefficient of N and K.
 
-@DOCSTRING(cosint)
+@ref{XREFcommutation_matrix, , @code{commutation_matrix}}: Return the commutation matrix K(m,n) which is the unique M*N by M*N
+matrix su...
 
-@DOCSTRING(duplication_matrix)
+@ref{XREFcosint, , @code{cosint}}: Compute the cosine integral function:
 
-@DOCSTRING(dawson)
+@ref{XREFduplication_matrix, , @code{duplication_matrix}}: Return the duplication matrix Dn which is the unique n^2 by n*(n+1)/2
+matrix ...
 
-@DOCSTRING(ellipj)
-
-@DOCSTRING(ellipke)
+@ref{XREFdawson, , @code{dawson}}: Compute the Dawson (scaled imaginary error) function.
 
-@DOCSTRING(erf)
-
-@DOCSTRING(erfc)
+@ref{XREFellipj, , @code{ellipj}}: Compute the Jacobi elliptic functions SN, CN, and DN of complex argument
+U an...
 
-@DOCSTRING(erfcx)
+@ref{XREFellipke, , @code{ellipke}}: Compute complete elliptic integrals of the first K(M) and second E(M)
+kind.
 
-@DOCSTRING(erfi)
+@ref{XREFerf, , @code{erf}}: Compute the error function.
+
+@ref{XREFerfc, , @code{erfc}}: Compute the complementary error function.
 
-@DOCSTRING(erfinv)
+@ref{XREFerfcx, , @code{erfcx}}: Compute the scaled complementary error function.
+
+@ref{XREFerfi, , @code{erfi}}: Compute the imaginary error function.
 
-@DOCSTRING(erfcinv)
+@ref{XREFerfinv, , @code{erfinv}}: Compute the inverse error function.
 
-@DOCSTRING(expint)
+@ref{XREFerfcinv, , @code{erfcinv}}: Compute the inverse complementary error function.
 
-@DOCSTRING(gamma)
+@ref{XREFexpint, , @code{expint}}: Compute the exponential integral.
 
-@DOCSTRING(gammainc)
+@ref{XREFgamma, , @code{gamma}}: Compute the Gamma function.
 
-@DOCSTRING(gammaincinv)
+@ref{XREFgammainc, , @code{gammainc}}: Compute the normalized incomplete gamma function.
 
-@DOCSTRING(legendre)
+@ref{XREFgammaincinv, , @code{gammaincinv}}: Compute the inverse of the normalized incomplete gamma function.
+
+@ref{XREFlegendre, , @code{legendre}}: Compute the associated Legendre function of degree N and order M = 0 ...
 
 @anchor{XREFgammaln}
-@DOCSTRING(lgamma)
+@ref{XREFlgamma, , @code{lgamma}}: Return the natural logarithm of the gamma function of X.
 
-@DOCSTRING(psi)
+@ref{XREFpsi, , @code{psi}}: Compute the psi (polygamma) function.
 
-@DOCSTRING(sinint)
+@ref{XREFsinint, , @code{sinint}}: Compute the sine integral function:
 
 @node Rational Approximations
 @section Rational Approximations
 
-@DOCSTRING(rat)
+@ref{XREFrat, , @code{rat}}: Find a rational approximation of X to within the tolerance defined by
+TOL.
 
-@DOCSTRING(rats)
+@ref{XREFrats, , @code{rats}}: Convert X into a rational approximation represented as a string.
 
 @node Coordinate Transformations
 @section Coordinate Transformations
 
-@DOCSTRING(cart2pol)
+@ref{XREFcart2pol, , @code{cart2pol}}: Transform Cartesian coordinates to polar or cylindrical coordinates.
 
-@DOCSTRING(pol2cart)
+@ref{XREFpol2cart, , @code{pol2cart}}: Transform polar or cylindrical coordinates to Cartesian coordinates.
 
-@DOCSTRING(cart2sph)
+@ref{XREFcart2sph, , @code{cart2sph}}: Transform Cartesian coordinates to spherical coordinates.
 
-@DOCSTRING(sph2cart)
+@ref{XREFsph2cart, , @code{sph2cart}}: Transform spherical coordinates to Cartesian coordinates.
 
 @node Mathematical Constants
 @section Mathematical Constants
 
-@DOCSTRING(e)
+@ref{XREFe, , @code{e}}: Return a scalar, matrix, or N-dimensional array whose elements are all
+equal ...
 
-@DOCSTRING(pi)
+@ref{XREFpi, , @code{pi}}: Return a scalar, matrix, or N-dimensional array whose elements are all
+equal ...
 
-@DOCSTRING(I)
+@ref{XREFI, , @code{I}}: Return a scalar, matrix, or N-dimensional array whose elements are all
+equal ...
 
-@DOCSTRING(Inf)
+@ref{XREFInf, , @code{Inf}}: Return a scalar, matrix or N-dimensional array whose elements are all
+equal t...
 
-@DOCSTRING(NaN)
+@ref{XREFNaN, , @code{NaN}}: Return a scalar, matrix, or N-dimensional array whose elements are all
+equal ...
 
-@DOCSTRING(eps)
+@ref{XREFeps, , @code{eps}}: Return a scalar, matrix or N-dimensional array whose elements are all
+eps, th...
 
-@DOCSTRING(realmax)
+@ref{XREFrealmax, , @code{realmax}}: Return a scalar, matrix, or N-dimensional array whose elements are all
+equal ...
 
-@DOCSTRING(realmin)
+@ref{XREFrealmin, , @code{realmin}}: Return a scalar, matrix, or N-dimensional array whose elements are all
+equal ...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/audio.txi
--- a/doc/interpreter/audio.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/audio.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -36,18 +36,21 @@
 information about audio files.  Various formats are supported including
 wav, flac and ogg vorbis.
 
-@DOCSTRING(audioinfo)
+@ref{XREFaudioinfo, , @code{audioinfo}}: Return information about an audio file specified by FILENAME.
 
-@DOCSTRING(audioread)
+@ref{XREFaudioread, , @code{audioread}}: Read the audio file FILENAME and return the audio data Y and sampling
+rate FS.
 
-@DOCSTRING(audiowrite)
+@ref{XREFaudiowrite, , @code{audiowrite}}: Write audio data from the matrix Y to FILENAME at sampling rate FS with
+the f...
 
-@DOCSTRING(audioformats)
+@ref{XREFaudioformats, , @code{audioformats}}: Display information about all supported audio formats.
 
 @node Audio Device Information
 @section Audio Device Information
 
-@DOCSTRING(audiodevinfo)
+@ref{XREFaudiodevinfo, , @code{audiodevinfo}}: Return a structure describing the available audio input and output
+devices.
 
 @node Audio Player
 @section Audio Player
@@ -58,7 +61,8 @@
 from various devices available to the system, blocking and non-blocking
 playback, convenient pausing and resuming and much more.
 
-@DOCSTRING(@audioplayer/audioplayer)
+@ref{XREF@@audioplayer/audioplayer, , @code{@@audioplayer/audioplayer}}: Create an audioplayer object that will play back data Y at sample rate
+FS.
 
 @menu
 * Playback::
@@ -70,17 +74,19 @@
 
 The following methods are used to control player playback.
 
-@DOCSTRING(@audioplayer/play)
+@ref{XREF@@audioplayer/play, , @code{@@audioplayer/play}}: Play audio stored in the audioplayer object PLAYER without blocking.
 
-@DOCSTRING(@audioplayer/playblocking)
+@ref{XREF@@audioplayer/playblocking, , @code{@@audioplayer/playblocking}}: Play audio stored in the audioplayer object PLAYER with blocking.
 
-@DOCSTRING(@audioplayer/pause)
+@ref{XREF@@audioplayer/pause, , @code{@@audioplayer/pause}}: Pause the audioplayer PLAYER.
 
-@DOCSTRING(@audioplayer/resume)
+@ref{XREF@@audioplayer/resume, , @code{@@audioplayer/resume}}: Resume playback for the paused audioplayer object PLAYER.
 
-@DOCSTRING(@audioplayer/stop)
+@ref{XREF@@audioplayer/stop, , @code{@@audioplayer/stop}}: Stop the playback for the audioplayer PLAYER and reset the relevant
+variables...
 
-@DOCSTRING(@audioplayer/isplaying)
+@ref{XREF@@audioplayer/isplaying, , @code{@@audioplayer/isplaying}}: Return true if the audioplayer object PLAYER is currently playing back
+audio ...
 
 @node Player Properties
 @subsection Properties
@@ -88,9 +94,9 @@
 The remaining couple of methods are used to get and set various
 properties of the audioplayer object.
 
-@DOCSTRING(@audioplayer/get)
+@ref{XREF@@audioplayer/get, , @code{@@audioplayer/get}}: Return the VALUE of the property identified by NAME.
 
-@DOCSTRING(@audioplayer/set)
+@ref{XREF@@audioplayer/set, , @code{@@audioplayer/set}}: Set the value of property specified by NAME to a given VALUE.
 
 @node Audio Recorder
 @section Audio Recorder
@@ -102,7 +108,8 @@
 data.  Methods for blocking and non-blocking recording, pausing and
 resuming recording and much more is available.
 
-@DOCSTRING(@audiorecorder/audiorecorder)
+@ref{XREF@@audiorecorder/audiorecorder, , @code{@@audiorecorder/audiorecorder}}: Create an audiorecorder object recording 8 bit mono audio at 8000 Hz
+sample r...
 
 @menu
 * Recording::
@@ -115,17 +122,19 @@
 
 The following methods control the recording process.
 
-@DOCSTRING(@audiorecorder/record)
+@ref{XREF@@audiorecorder/record, , @code{@@audiorecorder/record}}: Record audio without blocking using the audiorecorder object RECORDER
+until s...
 
-@DOCSTRING(@audiorecorder/recordblocking)
+@ref{XREF@@audiorecorder/recordblocking, , @code{@@audiorecorder/recordblocking}}: Record audio with blocking (synchronous I/O).
 
-@DOCSTRING(@audiorecorder/pause)
+@ref{XREF@@audiorecorder/pause, , @code{@@audiorecorder/pause}}: Pause recording with audiorecorder object RECORDER.
 
-@DOCSTRING(@audiorecorder/resume)
+@ref{XREF@@audiorecorder/resume, , @code{@@audiorecorder/resume}}: Resume recording with the paused audiorecorder object RECORDER.
 
-@DOCSTRING(@audiorecorder/stop)
+@ref{XREF@@audiorecorder/stop, , @code{@@audiorecorder/stop}}: Stop the audiorecorder object RECORDER and clean up any audio streams.
 
-@DOCSTRING(@audiorecorder/isrecording)
+@ref{XREF@@audiorecorder/isrecording, , @code{@@audiorecorder/isrecording}}: Return true if the audiorecorder object RECORDER is currently recording
+audio...
 
 @node Data Retrieval
 @subsection Data Retrieval
@@ -133,11 +142,14 @@
 The following methods allow you to retrieve recorded audio data in
 various ways.
 
-@DOCSTRING(@audiorecorder/getaudiodata)
+@ref{XREF@@audiorecorder/getaudiodata, , @code{@@audiorecorder/getaudiodata}}: Return recorder audio data as a matrix with values between -1.0 and 1.0
+and w...
 
-@DOCSTRING(@audiorecorder/getplayer)
+@ref{XREF@@audiorecorder/getplayer, , @code{@@audiorecorder/getplayer}}: Return an audioplayer object with data recorded by the audiorecorder
+object R...
 
-@DOCSTRING(@audiorecorder/play)
+@ref{XREF@@audiorecorder/play, , @code{@@audiorecorder/play}}: Play the audio recorded in RECORDER and return a corresponding
+audioplayer ob...
 
 @node Recorder Properties
 @subsection Properties
@@ -145,9 +157,9 @@
 The remaining two methods allow you to read or alter the properties of
 audiorecorder objects.
 
-@DOCSTRING(@audiorecorder/get)
+@ref{XREF@@audiorecorder/get, , @code{@@audiorecorder/get}}: Return the VALUE of the property identified by NAME.
 
-@DOCSTRING(@audiorecorder/set)
+@ref{XREF@@audiorecorder/set, , @code{@@audiorecorder/set}}: Set the value of property specified by NAME to a given VALUE.
 
 @node Audio Data Processing
 @section Audio Data Processing
@@ -174,12 +186,14 @@
 files holding data in mu-law encoding end in @file{au}, @file{mu}, or
 @file{snd}.
 
-@DOCSTRING(lin2mu)
+@ref{XREFlin2mu, , @code{lin2mu}}: Convert audio data from linear to mu-law.
 
-@DOCSTRING(mu2lin)
+@ref{XREFmu2lin, , @code{mu2lin}}: Convert audio data from mu-law to linear.
 
-@DOCSTRING(record)
+@ref{XREFrecord, , @code{record}}: Record SEC seconds of audio from the system's default audio input at a
+sampli...
 
-@DOCSTRING(sound)
+@ref{XREFsound, , @code{sound}}: Play audio data Y at sample rate FS to the default audio device.
 
-@DOCSTRING(soundsc)
+@ref{XREFsoundsc, , @code{soundsc}}: Scale the audio data Y and play it at sample rate FS to the default
+audio dev...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/basics.txi
--- a/doc/interpreter/basics.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/basics.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -301,11 +301,12 @@
 about the command line, including the number of arguments and all of the
 options.
 
-@DOCSTRING(argv)
+@ref{XREFargv, , @code{argv}}: Return the command line arguments passed to Octave.
 
-@DOCSTRING(program_name)
+@ref{XREFprogram_name, , @code{program_name}}: Return the last component of the value returned by
+'program_invocation_name'.
 
-@DOCSTRING(program_invocation_name)
+@ref{XREFprogram_invocation_name, , @code{program_invocation_name}}: Return the name that was typed at the shell prompt to run Octave.
 
 Here is an example of using these functions to reproduce the command
 line which invoked Octave.
@@ -423,9 +424,9 @@
 workspace variables or cleanup temporary files may be placed there.  Additional
 functions to execute on shutdown may be registered with @code{atexit}.
 
-@DOCSTRING(quit)
+@ref{XREFquit, , @code{quit}}: Quit the current Octave session.
 
-@DOCSTRING(atexit)
+@ref{XREFatexit, , @code{atexit}}: Register a function to be called when Octave exits.
 
 @node Getting Help
 @section Commands for Getting Help
@@ -440,50 +441,59 @@
 functions and variables.  @xref{Function Files}, for more information
 about how to document the functions you write.
 
-@DOCSTRING(help)
+@ref{XREFhelp, , @code{help}}: Display the help text for NAME.
 
-@DOCSTRING(doc)
+@ref{XREFdoc, , @code{doc}}: Display documentation for the function FUNCTION_NAME directly from an
+online ...
 
-@DOCSTRING(lookfor)
+@ref{XREFlookfor, , @code{lookfor}}: Search for the string STR in the documentation of all functions in the
+curren...
 
 To see what is new in the current release of Octave, use the @code{news}
 function.
 
-@DOCSTRING(news)
+@ref{XREFnews, , @code{news}}: Display the current NEWS file for Octave or an installed package.
 
-@DOCSTRING(info)
+@ref{XREFinfo, , @code{info}}: Display contact information for the GNU Octave community.
 
-@DOCSTRING(warranty)
+@ref{XREFwarranty, , @code{warranty}}: Describe the conditions for copying and distributing Octave.
 
 The following functions can be used to change which programs are used
 for displaying the documentation, and where the documentation can be
 found.
 
-@DOCSTRING(info_file)
+@ref{XREFinfo_file, , @code{info_file}}: Query or set the internal variable that specifies the name of the Octave
+info...
 
-@DOCSTRING(info_program)
+@ref{XREFinfo_program, , @code{info_program}}: Query or set the internal variable that specifies the name of the info
+progra...
 
-@DOCSTRING(makeinfo_program)
+@ref{XREFmakeinfo_program, , @code{makeinfo_program}}: Query or set the internal variable that specifies the name of the
+program tha...
 
-@DOCSTRING(texi_macros_file)
+@ref{XREFtexi_macros_file, , @code{texi_macros_file}}: Query or set the internal variable that specifies the name of the file
+contai...
 
-@DOCSTRING(doc_cache_file)
+@ref{XREFdoc_cache_file, , @code{doc_cache_file}}: Query or set the internal variable that specifies the name of the Octave
+docu...
 
-@DOCSTRING(built_in_docstrings_file)
+@ref{XREFbuilt_in_docstrings_file, , @code{built_in_docstrings_file}}: Query or set the internal variable that specifies the name of the file
+contai...
 
-@DOCSTRING(suppress_verbose_help_message)
+@ref{XREFsuppress_verbose_help_message, , @code{suppress_verbose_help_message}}: Query or set the internal variable that controls whether Octave will add
+addi...
 
 The following functions are principally used internally by Octave for
 generating the documentation.  They are documented here for completeness
 and because they may occasionally be useful for users.
 
-@DOCSTRING(doc_cache_create)
+@ref{XREFdoc_cache_create, , @code{doc_cache_create}}: Generate documentation cache for all functions in DIRECTORY.
 
-@DOCSTRING(get_help_text)
+@ref{XREFget_help_text, , @code{get_help_text}}: Return the raw help text of function NAME.
 
-@DOCSTRING(get_help_text_from_file)
+@ref{XREFget_help_text_from_file, , @code{get_help_text_from_file}}: Return the raw help text from the file FNAME.
 
-@DOCSTRING(get_first_help_sentence)
+@ref{XREFget_first_help_sentence, , @code{get_first_help_sentence}}: Return the first sentence of a function's help text.
 
 @node Command Line Editing
 @section Command Line Editing
@@ -589,7 +599,7 @@
 The function @code{clc} will allow you to clear the screen from within
 Octave programs.
 
-@DOCSTRING(clc)
+@ref{XREFclc, , @code{clc}}: Clear the terminal screen and move the cursor to the upper left corner.
 
 @node Killing and Yanking
 @subsection Killing and Yanking
@@ -693,9 +703,10 @@
 List the possible completions of the text before the cursor.
 @end table
 
-@DOCSTRING(completion_append_char)
+@ref{XREFcompletion_append_char, , @code{completion_append_char}}: Query or set the internal character variable that is appended to
+successful c...
 
-@DOCSTRING(completion_matches)
+@ref{XREFcompletion_matches, , @code{completion_matches}}: Generate possible completions given HINT.
 
 @node Commands for History
 @subsection Commands for Manipulating the History
@@ -748,27 +759,34 @@
 list, Octave provides three functions for viewing, editing, and
 re-running chunks of commands from the history list.
 
-@DOCSTRING(history)
+@ref{XREFhistory, , @code{history}}: If invoked with no arguments, 'history' displays a list of commands that
+you ...
 
-@DOCSTRING(edit_history)
+@ref{XREFedit_history, , @code{edit_history}}: Edit the history list using the editor named by the variable 'EDITOR'.
 
-@DOCSTRING(run_history)
+@ref{XREFrun_history, , @code{run_history}}: Run commands from the history list.
 
 @noindent
 Octave also allows you customize the details of when, where, and how history
 is saved.
 
-@DOCSTRING(history_save)
+@ref{XREFhistory_save, , @code{history_save}}: Query or set the internal variable that controls whether commands
+entered on ...
 
-@DOCSTRING(history_control)
+@ref{XREFhistory_control, , @code{history_control}}: Query or set the internal variable that specifies how commands are saved
+to t...
 
-@DOCSTRING(history_file)
+@ref{XREFhistory_file, , @code{history_file}}: Query or set the internal variable that specifies the name of the file
+used t...
 
-@DOCSTRING(history_size)
+@ref{XREFhistory_size, , @code{history_size}}: Query or set the internal variable that specifies how many entries to
+store i...
 
-@DOCSTRING(history_timestamp_format_string)
+@ref{XREFhistory_timestamp_format_string, , @code{history_timestamp_format_string}}: Query or set the internal variable that specifies the format string for
+the c...
 
-@DOCSTRING(EDITOR)
+@ref{XREFEDITOR, , @code{EDITOR}}: Query or set the internal variable that specifies the default text
+editor.
 
 @node Customizing readline
 @subsection Customizing @code{readline}
@@ -785,9 +803,9 @@
 Octave provides two commands for initializing Readline and thereby changing
 the command line behavior.
 
-@DOCSTRING(readline_read_init_file)
+@ref{XREFreadline_read_init_file, , @code{readline_read_init_file}}: Read the readline library initialization file FILE.
 
-@DOCSTRING(readline_re_read_init_file)
+@ref{XREFreadline_re_read_init_file, , @code{readline_re_read_init_file}}: Re-read the last readline library initialization file that was read.
 
 @node Customizing the Prompt
 @subsection Customizing the Prompt
@@ -845,11 +863,12 @@
 A backslash.
 @end table
 
-@DOCSTRING(PS1)
+@ref{XREFPS1, , @code{PS1}}: Query or set the primary prompt string.
 
-@DOCSTRING(PS2)
+@ref{XREFPS2, , @code{PS2}}: Query or set the secondary prompt string.
 
-@DOCSTRING(PS4)
+@ref{XREFPS4, , @code{PS4}}: Query or set the character string used to prefix output produced when
+echoing...
 
 @node Diary and Echo Commands
 @subsection Diary and Echo Commands
@@ -863,13 +882,14 @@
 interactive session by recording the input you type and the output that
 Octave produces in a separate file.
 
-@DOCSTRING(diary)
+@ref{XREFdiary, , @code{diary}}: Record a list of all commands _and_ the output they produce, mixed
+together j...
 
 Sometimes it is useful to see the commands in a function or script as
 they are being evaluated.  This can be especially helpful for debugging
 some kinds of problems.
 
-@DOCSTRING(echo)
+@ref{XREFecho, , @code{echo}}: Control whether commands are displayed as they are executed.
 
 @node Errors
 @section How Octave Reports Errors
